# pandas.expanding_apply

`pandas.``expanding_apply`(arg, func, min_periods=1, freq=None, args=(), kwargs={})

  Generic expanding function application.

  Parameters:

  arg : Series, DataFrame

  func : function

  > Must produce a single value from an ndarray input

  min_periods : int, default None

  > Minimum number of observations in window required to have a value (otherwise result is NA).

  freq : string or DateOffset object, optional (default None)

  > Frequency to conform the data to before computing the statistic. Specified as a frequency string or DateOffset object.

  args : tuple

  > Passed on to func

  kwargs : dict

  > Passed on to func

  Returns: | y : type of input argument

  Notes

  The freq keyword is used to conform time series data to a specified frequency by resampling the data. This is done with the default parameters of `resample()` (i.e. using the mean).